Skip to main content
`Ctrl`+`K`

# EPSJDSetInitialSize

Sets the initial size of the searching space.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSJDSetInitialSize(EPS eps,PetscInt initialsize)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- initialsize - number of vectors of the initial searching subspace

## Options Database Key

- -eps_jd_initial_size <initialsize> - number of vectors of the initial searching subspace

## Notes

If the flag in `EPSJDSetKrylovStart()` is set to `PETSC_FALSE` and the user provides vectors with `EPSSetInitialSpace()`, up to `initialsize` vectors will be used; and if the provided vectors are not enough, the solver completes the subspace with random vectors. In case the `EPSJDSetKrylovStart()` flag is `PETSC_TRUE`, the solver gets the first vector provided by the user or, if not available, a random vector, and expands the Krylov basis up to `initialsize` vectors.

Detailed information can be found at [Romero and Roman, 2014].

## References

[Rom14]

E. Romero and J. E. Roman. A parallel implementation of Davidson methods for large-scale eigenvalue problems in SLEPc. ACM Trans. Math. Software, 40(2):13:1–13:29, 2014. doi:10.1145/2543696.

## See Also

EPS: Eigenvalue Problem Solver, `EPSJD`, `EPSJDGetInitialSize()`, `EPSJDGetKrylovStart()`

## Level

advanced

## Location

src/eps/impls/davidson/jd/jd.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages